<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Missions/Scripts/4_world/dayzexpansion_missions/classes/expansionmissionserializedtype.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/dae/a01994.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">expansionmissionserializedtype.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d4/dae/a01994_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d82/a06121.html">ExpansionMissionSerializedEvent</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a09ad69c431146a27aa737e825cbc9c9c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dae/a01994.html#a09ad69c431146a27aa737e825cbc9c9c">ExpansionMissionSerializedType</a> (<a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> missionType, array&lt; <a class="el" href="../../df/d5e/a06101.html">ExpansionMissionEventBase</a> &gt; missions)</td></tr>
<tr class="separator:a09ad69c431146a27aa737e825cbc9c9c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ab2694893ea0a1a2efaa8e52490bf4d39"><td class="memItemLeft" align="right" valign="top">class <a class="el" href="../../d4/d82/a06121.html">ExpansionMissionSerializedEvent</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dae/a01994.html#ab2694893ea0a1a2efaa8e52490bf4d39">m_MissionType</a></td></tr>
<tr class="separator:ab2694893ea0a1a2efaa8e52490bf4d39"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab54757b15a20c1a65566e8524f893d43"><td class="memItemLeft" align="right" valign="top">ref array&lt; ref <a class="el" href="../../d4/d82/a06121.html">ExpansionMissionSerializedEvent</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dae/a01994.html#ab54757b15a20c1a65566e8524f893d43">m_Missions</a></td></tr>
<tr class="separator:ab54757b15a20c1a65566e8524f893d43"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a09ad69c431146a27aa737e825cbc9c9c" name="a09ad69c431146a27aa737e825cbc9c9c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a09ad69c431146a27aa737e825cbc9c9c">&#9670;&#160;</a></span>ExpansionMissionSerializedType()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMissionSerializedType </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>missionType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">array&lt; <a class="el" href="../../df/d5e/a06101.html">ExpansionMissionEventBase</a> &gt;&#160;</td>
          <td class="paramname"><em>missions</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/dae/a01994_source.html#l00014">14</a> of file <a class="el" href="../../d4/dae/a01994_source.html">expansionmissionserializedtype.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="ab54757b15a20c1a65566e8524f893d43" name="ab54757b15a20c1a65566e8524f893d43"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab54757b15a20c1a65566e8524f893d43">&#9670;&#160;</a></span>m_Missions</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ref array&lt; ref <a class="el" href="../../d4/d82/a06121.html">ExpansionMissionSerializedEvent</a> &gt; m_Missions</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/dae/a01994_source.html#l00012">12</a> of file <a class="el" href="../../d4/dae/a01994_source.html">expansionmissionserializedtype.c</a>.</p>

</div>
</div>
<a id="ab2694893ea0a1a2efaa8e52490bf4d39" name="ab2694893ea0a1a2efaa8e52490bf4d39"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2694893ea0a1a2efaa8e52490bf4d39">&#9670;&#160;</a></span>m_MissionType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class <a class="el" href="../../d4/d82/a06121.html">ExpansionMissionSerializedEvent</a> m_MissionType</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_98a0d52b5ffeb2d0008749a8725e4adf.html">Missions</a></li><li class="navelem"><a class="el" href="../../dir_14d412830fda8cd862f99a875104cbc4.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_8f3056a5801212b4c0680d610841a69a.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_80fefec356581d7ce7c894c773b22eaf.html">dayzexpansion_missions</a></li><li class="navelem"><a class="el" href="../../dir_4153b8bb19eb65d7a613a20abf6f5d98.html">classes</a></li><li class="navelem"><a class="el" href="../../d4/dae/a01994.html">expansionmissionserializedtype.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
